Bug 251433 - Scrolling wheel mouse button on mixer applet, sound becomes mute at once.
Scrolling wheel mouse button on mixer applet, sound becomes mute at once.
Status: CLOSED DUPLICATE of bug 295311
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 21:35 EDT by sangu
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 16:55:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-08-08 21:35:12 EDT
Description of problem:
Scrolling wheel mouse button on mixer applet, sound becomes mute at once.

Version-Release number of selected component (if applicable):
2.19.1-5.fc8

How reproducible:
always

Steps to Reproduce:
1. Focus mouse pointer on mixer applet
2. Scroll wheel button.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2007-08-14 11:47:04 EDT
so to be clear, you're saying that instead of lowering the volume it just mutes it?
Comment 2 sangu 2007-08-17 21:12:53 EDT
(In reply to comment #1)
> so to be clear, you're saying that instead of lowering the volume it just
mutes it?

Yes, it just mutes it.
Comment 3 John Ellson 2007-09-13 09:19:33 EDT
I've seen this.    Also, the locked stereo sliders have a tendency to come
unlocked, without touching the unlock widget.

Also possibly related:   SELinux reports:
    The /usr/libexec/mixer_applet2 application attempted to change the access
protection of memory (e,g., allocated using malloc). This is a potential
security problem. Applications should not be doing this.

    avc: denied { execmem } for comm=mixer_applet2 egid=500 euid=500
exe=/usr/libexec/mixer_applet2 exit=-1063571456 fsgid=500 fsuid=500 gid=500
items=0 pid=23413 scontext=system_u:system_r:unconfined_t:s0 sgid=500
subj=system_u:system_r:unconfined_t:s0 suid=500 tclass=process
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=500

Oh, and BTW, sound is broken for some applications on my system at the moment. 
 See: #281711
Comment 4 Thomas J. Baker 2007-09-24 16:06:48 EDT
I'm seeing this too. For me, it's not just using the mouse wheel on the mixer
applet. I've got a Dell Multimedia USB keyboard with a round knob thing for
volume control and spinning it too fast causes the same problems. (Kudos for
getting this working in the first place though!) It seems to be a timing issue.
If I scroll the mouse wheel slowly or the knob slowly, things work better, but
perfectly. Too fast and weird things occur. I've seen the volume go up instead
of down, mute, locked left right levels become unlocked, etc. It's really
nonsensical. I opened the full mixer to observe what happens to it while I scoll
the mouse and the master levels jump around randomly.
Comment 5 Thomas J. Baker 2007-09-24 16:08:45 EDT
I should add that I'm on x86_64, with a SB Live CT4780 sound card. Up to date
f8t2 plus todays updates.
Comment 6 Ray Strode [halfline] 2007-09-24 16:41:30 EDT
Bastien, is this the thing you fixed already?
Comment 7 Bastien Nocera 2007-09-24 16:55:34 EDT
Yep, that's a dupe.

*** This bug has been marked as a duplicate of 295311 ***

Note You need to log in before you can comment on or make changes to this bug.